# Method: inappproducts.delete

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/delete#try-it)

Deletes an in-app product (a managed product or a subscription).

This method should no longer be used to delete subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.

### HTTP request

`DELETE https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/inappproducts/{sku}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `sku` | `string` Unique identifier for the in-app product. |

### Query parameters

| Parameters ||
|---|---|
| `latencyTolerance` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`